# Taichi community Code of Conduct

## Introduction

- Diversity and inclusion make our community strong. We encourage participation from the most varied and diverse backgrounds possible and want to be very clear about where we stand.
- Our goal is to maintain a safe, helpful and friendly community for everyone, regardless of experience, gender identity and expression, sexual orientation, disability, personal appearance, body size, race, ethnicity, age, religion, nationality, or other defining characteristic.
- This code and related procedures apply to unacceptable behavior occurring in all community venues, including behavior outside the scope of community activities — online and in-person— as well as in all one-on-one communications, and anywhere such behavior has the potential to adversely affect the safety and well-being of community members.

## Expected Behavior

### Empathetic

Most Taichi contributors have their main jobs. Please be considerate of others, who may live in different time zones with their own lifestyles. Please think of code reviews as a limited resource and use it wisely: the more concise and polished a PR is, the sooner it will get reviewed and merged.

### Modest

Communicate politely and constructively. Please help us construct a respectful, blame-free, and inclusive community.

### Pragmatic

Practically solving problems is usually our development goal. Simple, readable, and maintainable solutions are often optimal in practice.

### Focused

Quality > quantity. Please try to behave professionally and exhibit attention to details. Finishing what you started earns you trust and reputation in the community.

## Unacceptable Behavior

- Conduct or speech which might be considered sexist, racist, homophobic, transphobic, ableist or otherwise discriminatory or offensive in nature.
- Do not use unwelcome, suggestive, derogatory or inappropriate nicknames or terms.
- Do not show disrespect towards others. (Jokes, innuendo, dismissive attitudes.)
Intimidation or harassment (online or in-person).
- Disrespect towards differences of opinion.
- Inappropriate attention or contact. Be aware of how your actions affect others. If it makes someone uncomfortable, stop.
- Not understanding the differences between constructive criticism and disparagement.
- Sustained disruptions.
- Violence, threats of violence or violent language.

## Enforcement

- Understand that speech and actions have consequences, and unacceptable behavior will not be tolerated.
- If you are the subject of, or witness to any violations of this Code of Conduct, please contact us via email at community@taichi.graphics
- If violations occur, organizers will take any action they deem appropriate for the infraction, up to and including expulsion.
- Portions derived from [Slack Developer Community Code of Conduct](https://api.slack.com/community/code-of-conduct) under a Creative Commons [Attribution-ShareAlike](https://creativecommons.org/licenses/by-sa/3.0/) license.
